Bug 399721 - Review Request: fusion-icon - Compiz Fusion panel applet
Review Request: fusion-icon - Compiz Fusion panel applet
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 12:51 EST by Karol Trzcionka
Modified: 2011-04-06 13:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 17:34:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Karol Trzcionka 2007-11-26 12:51:50 EST
Spec URL: http://karlik.nonlogic.org/fusion-icon/fusion-icon.spec
SRPM URL: http://karlik.nonlogic.org/fusion-icon/fusion-icon-0-0.1.20071126git.fc8.src.rpm
Description:
The Compiz Fusion Icon is a simple panel applet for starting and controlling
Compiz Fusion. Upon launch, it will attempt to start Compiz Fusion
automatically. You may need to select a window decorator, if one does not
appear.
Comment 1 Parag AN(पराग) 2007-12-01 08:01:45 EST
rpmlint reported
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/data.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/start.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/parser.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/execute.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/environment.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/__init__.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/util.py 0644
fusion-icon-gtk.noarch: W: no-documentation
fusion-icon-gtk.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface_gtk/main.py 0644
fusion-icon-gtk.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface_gtk/__init__.py 0644
fusion-icon-qt.noarch: W: no-documentation
fusion-icon-qt.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface_qt4/main.py 0644
fusion-icon-qt.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface_qt4/__init__.py 0644
Comment 2 Karol Trzcionka 2007-12-01 11:02:03 EST
I think it might be ignored, because these scripts are only included by "core"
and fusion-icon doesn't require chmod +x to work. If it is blocking the
approving, I can set +x.
"no-documentation" can be ignored because of needing core package.
Comment 3 Parag AN(पराग) 2007-12-03 01:48:41 EST
Being the reviewer here and in my opinion rpmlint errors reported above are safe
to ignore.
Comment 4 Parag AN(पराग) 2007-12-03 01:55:53 EST
source is not matching upstream.
do you want to keep logs directory that is producing difference or can you
remove them?
Comment 5 Karol Trzcionka 2007-12-03 09:42:04 EST
If it is a problem I can remove .git before taring but in the next release if it
is not a problem for reviewing.
Comment 6 Parag AN(पराग) 2007-12-03 11:44:02 EST
no problem for now but take care to remove them from next release please.
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM.
- rpmlint complains follwing messages on RPMS
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/data.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/start.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/parser.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/execute.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/environment.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/__init__.py 0644
fusion-icon.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/util.py 0644
fusion-icon-gtk.noarch: W: no-documentation
fusion-icon-gtk.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface_gtk/main.py 0644
fusion-icon-gtk.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface_gtk/__init__.py 0644
fusion-icon-qt.noarch: W: no-documentation
fusion-icon-qt.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface_qt4/main.py 0644
fusion-icon-qt.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/FusionIcon/interface_qt4/__init__.py 0644
+ source files match upstream with assumptions that logs will differ
dd4c1c967fe4bb1282801e22bb43fa41  fusion-icon-20071126.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists but -gtk and -qt subpackages present.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

APPROVED.

Comment 7 Karol Trzcionka 2007-12-03 13:14:00 EST
Thanks for review and approve.
Comment 8 Karol Trzcionka 2007-12-03 13:19:31 EST
New Package CVS Request
=======================
Package Name: fusion-icon
Short Description: Compiz Fusion panel applet
Owners: karlikt@gmail.com
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-12-03 14:21:51 EST
(Please use fedora account names for Owners line...)

cvs done.
Comment 10 Karol Trzcionka 2007-12-03 17:34:01 EST
Built correct for F-8.
Comment 12 Karol Trzcionka 2011-04-05 15:40:38 EDT
I'll grant perms to you because I don't have RHEL nor CentOS.
Comment 13 Karol Trzcionka 2011-04-05 15:41:30 EDT
Package Change Request
======================
Package Name: fusion-icon
New Branches: el6
Owners: karlik leigh123linux
Comment 14 leigh scott 2011-04-05 17:10:53 EDT
(In reply to comment #12)
> I'll grant perms to you because I don't have RHEL nor CentOS.

Thank you.
Comment 15 Jason Tibbitts 2011-04-06 13:55:37 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.